For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Visit appVisit websiteBook a demo
  • Get Started
    • Welcome
  • Authentication
    • Hirer Service Accounts
  • Concepts
    • Introduction
    • Directory & Contractors
    • Contracts
    • Approvals
    • Timesheeting
    • Checklists
  • Webhooks
    • Portal Access
    • Endpoint Setup
    • Securing Your Endpoints
    • Monitoring, Debugging & Recovery
  • Client API
      • POSTInvite a contact
      • POSTUpdate a client contact's custom fields
    • Webhook Events
LogoLogo
Visit appVisit websiteBook a demo
Client APIClient Contacts

Invite a contact

POST
https://api.yunojuno.com/client_contacts/
POST
/client_contacts/
$curl -X POST https://api.yunojuno.com/client_contacts/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "email": "string",
> "first_name": "string",
> "last_name": "string"
>}'
201Created
1{
2 "data": {
3 "client_contact_id": "string",
4 "freelancer_id": "string",
5 "custom_fields": [
6 {
7 "name": "string",
8 "value": "string",
9 "metadata": null
10 }
11 ],
12 "url": "string"
13 }
14}
Invite a freelancer to your directory. This endpoint allows clients to add freelancers to their directory. If the email is new to the platform, a new freelancer profile will be created in an invited state and an invitation email will be sent. If the email already exists, the existing freelancer will be added to the client's directory. **Hirer Attribution (Optional):** You can optionally provide a `hirer` field with either the hirer's id or email address to specify which user within your organization is adding this contact. If not provided, the system will automatically use the oldest active hirer from your organization. **Custom Invitation Message (Optional):** You can optionally provide an `invite_message` field to include a custom message in the invitation email. This is only applicable for new freelancers and will be ignored if the freelancer already exists on the platform. The freelancer will remain non-bookable until they complete the onboarding process.
Was this page helpful?
Previous

Update a client contact's custom fields

Next
Built with

Invite a freelancer to your directory.

This endpoint allows clients to add freelancers to their directory. If the email is new to the platform, a new freelancer profile will be created in an invited state and an invitation email will be sent. If the email already exists, the existing freelancer will be added to the client’s directory.

Hirer Attribution (Optional): You can optionally provide a hirer field with either the hirer’s id or email address to specify which user within your organization is adding this contact. If not provided, the system will automatically use the oldest active hirer from your organization.

Custom Invitation Message (Optional): You can optionally provide an invite_message field to include a custom message in the invitation email. This is only applicable for new freelancers and will be ignored if the freelancer already exists on the platform.

The freelancer will remain non-bookable until they complete the onboarding process.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
emailstringRequiredformat: "email"
The contractor's email address.
first_namestringRequired<=150 characters
The contractor's first name.
last_namestringRequired<=150 characters
The contractor's last name.
hirerstringOptional

The identifier (id) or email address of the hirer who is adding this contact. If not provided, the system will use any active owner from the client.

invite_messagestringOptional<=1000 charactersDefaults to
Optional custom message to include in the invitation email sent to the freelancer. Only applicable for new freelancers.
custom_fieldslist of objectsOptional
An array of custom fields for the client contact, optional.

Response

dataobject
The client contact object. This object represents the lifetime relationship between a client and a freelancer on the platform.